From daf7895c5afd3ca5d11221eb1ca31a93bc07ba58 Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Mon, 8 Mar 2021 16:40:49 +0800
Subject: [PATCH] kernelbase: Support FileEndOfFileInformation in
 GetFileInformationByHandleEx.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/kernelbase/file.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dlls/kernelbase/file.c b/dlls/kernelbase/file.c
index abfdade04ed..50074bb21de 100644
--- a/dlls/kernelbase/file.c
+++ b/dlls/kernelbase/file.c
@@ -2983,6 +2983,10 @@ BOOL WINAPI DECLSPEC_HOTPATCH GetFileInformationByHandleEx( HANDLE handle, FILE_
         status = NtQueryInformationFile( handle, &io, info, size, FileNameInformation );
         break;
 
+    case FileEndOfFileInfo:
+        status = NtQueryInformationFile( handle, &io, info, size, FileEndOfFileInformation );
+        break;
+
     case FileIdInfo:
         status = NtQueryInformationFile( handle, &io, info, size, FileIdInformation );
         break;
@@ -2998,7 +3002,6 @@ BOOL WINAPI DECLSPEC_HOTPATCH GetFileInformationByHandleEx( HANDLE handle, FILE_
     case FileDispositionInfo:
     case FileAllocationInfo:
     case FileIoPriorityHintInfo:
-    case FileEndOfFileInfo:
     default:
         SetLastError( ERROR_INVALID_PARAMETER );
         return FALSE;
-- 
2.20.1

